{* DESIGN: Header START *}<div class="box-header"><div class="box-tc"><div class="box-ml"><div class="box-mr"><div class="box-tl"><div class="box-tr">

<h1 class="context-title">Edit {$name}</h1>

{* DESIGN: Header END *}</div></div></div></div></div></div>

{* DESIGN: Content START *}<div class="box-bc"><div class="box-ml"><div class="box-mr"><div class="box-bl"><div class="box-br"><div class="box-content">

<div>
{if is_set($warnings)}
<div class="message-error">
    <h2>{'Required fields'|i18n('ezxmlinstaller')}</h2>
    <p>{'Required data is either missing or is invalid:'|i18n('ezxmlinstaller')}</p>
	<ul>
	   {foreach $warnings as $warning}
	       <li>{$warning}</li>
	   {/foreach}
	</ul>
</div>
{/if}

<form action={'xmlmanage/edit'|ezurl} method="post">
{if $tpl_info}
{foreach $tpl_info as $identifier => $variable}
    <div class="block">
	    <label for="{$identifier}">{$variable.info} *:</label>
	    
	    {switch match=$variable.type}
		    {case match='string'}
                <input class="halfbox" id="{$identifier}" name="{$identifier}" value="{if is_set($post[$identifier])}{$post[$identifier]}{elseif is_set($variable.default)}{$variable.default}{/if}">
		    {/case}
            {case match='integer'}
                <input class="halfbox" id="{$identifier}" name="{$identifier}" value="{if is_set($post[$identifier])}{$post[$identifier]}{elseif is_set($variable.default)}{$variable.default}{/if}">
		    {/case}
		    {case match='select'}
		        <select id="{$identifier}" name="{$identifier}">
		        {foreach $variable.value as $id => $name}
		          <option value="{$id}" {if and( is_set($post[$identifier]), $post[$identifier]|eq($id) )}selected="selected"{/if}>{$name}</option>
		        {/foreach}
		        </select>
            {/case}
            {case match='checkbox'}
                <input class="halfbox" type="checkbox" id="{$identifier}" name="{$identifier}" {if and( is_set($post[$identifier]), eq($post[$identifier],"on") )}checked{elseif and( is_set($variable.default), eq($variable.default,"on") )}checked{/if}>
            {/case}
            {case match='browse'}
                {if is_set($browse_result[$identifier])}
                    {def $browseNode = fetch( 'content', 'node', hash( 'node_id', $browse_result[$identifier].0 ))}
                    {$browseNode.name|wash}
                    <input type="hidden" id="{$identifier}" name="{$identifier}" value="{$browse_result[$identifier].0}" />
                    {undef $browseNode}
                {elseif is_set($post[$identifier])}
                    {def $browseNode = fetch( 'content', 'node', hash( 'node_id', $post[$identifier] ))}
                    {$browseNode.name|wash}
                    <input type="hidden" id="{$identifier}" name="{$identifier}" value="{$post[$identifier]}" />
                {/if}
                <input class="button" type="submit" name="BrowseRequestButton[{$identifier}]" value="Browse">
            {/case}
            {case}
                Unidentified type! <br />{$variable|attribute(show)}
            {/case}
        {/switch}
	</div>
{/foreach}
{else}
    {'There is no parameters for this task.'|i18n('ezxmlinstaller')}
{/if}
<div class="block">
    {if $is_persistent}
        <input class="defaultbutton" type="submit" name="SaveButton" value="Save">
    {/if}
    <input class="defaultbutton" type="submit" name="RunButton" value="Run">
    <input class="button" type="submit" name="DiscardButton" value="Cancel">
</div>

</form>

</div>


{* DESIGN: Content END *}</div></div></div></div></div></div>