{def $availableTasksSet = ezini('Tasks','AvailableTasksSet','xmlinstaller.ini')}

<div class="context-block">
    <div class="box-header"><div class="box-ml">
        <h2 class="context-title">{$name} ({$availableTasksSet[$task_identifier]})</h2>
    </div></div>
        
    <div class="box-ml"><div class="box-mr"><div class="box-content">
        <div class="block">
            {def $childrenTask = ezini($task_identifier, 'ChildrenTask','xmlinstaller.ini')}
            {foreach $childrenTask as $childIdentifier => $childName}
                <fieldset>
                <b>{$childName}</b>
                <input class="button" type="submit" onclick='jQuery(this).parent().find("div.block").slideDown();jQuery(this).next("input").show();jQuery(this).hide();return false;' value="More Info">
                <input class="defaultbutton" type="submit"  style="display:none;" onclick='jQuery(this).parent().find("div.block").slideUp();jQuery(this).prev("input").show();jQuery(this).hide();return false;' value="Close">
                <div class="block" style="display:none;">
                {if is_set($created_tasks[$childIdentifier])|not}
                    <p>{'Status'|i18n( 'ezxmlinstaller' )}: {'Not created'|i18n( 'ezxmlinstaller' )}</p>
                    <form action={'xmlmanage/edit'|ezurl} method="post">
                         <input type="hidden" id="task_identifier" name="task_identifier" value="{$childIdentifier}">
                         <input type="hidden" id="task_name" name="task_name" value="{$childName}">
                         <input type="hidden" id="task_set_id" name="task_set_id" value="{$task_id}">
                         <input class="defaultbutton" type="submit" name="PersistentButton" value="Create task">
                    </form>
                {else}
                {switch match=$created_tasks[$childIdentifier].done}
                                {case match=0}
                                    <p>{'Status'|i18n( 'ezxmlinstaller' )}: {'Created'|i18n( 'ezxmlinstaller' )}</p>
                                    <form action={concat('xmlmanage/view/',$created_tasks[$childIdentifier].task_id)|ezurl} method="post">
                                         <input class="defaultbutton" type="submit" name="PersistentButton" value="View">
                                    </form>
                                    <form action={concat('xmlmanage/run/',$created_tasks[$childIdentifier].task_id)|ezurl} method="post">
                                         <input class="button" type="submit" name="PersistentButton" value="Run">
                                    </form>
                                {/case}
                                {case match=1}
                                    <p>{'Status'|i18n( 'ezxmlinstaller' )}: {'Done!'|i18n( 'ezxmlinstaller' )}</p>
                                    {if is_set( $saved_reference[$childIdentifier] )}
                                        <p>{'Saved Reference'|i18n( 'ezxmlinstaller' )}:</p>
                                        <ul>
                                        {foreach $saved_reference[$childIdentifier] as $reference}
                                             <li>{$reference.identifier}: {$reference.value}</li>
                                        {/foreach}
                                        </ul>
                                    {/if}
                        <form action={concat('xmlmanage/view/',$created_tasks[$childIdentifier].task_id)|ezurl} method="post">
                             <input class="defaultbutton" type="submit" name="PersistentButton" value="View">
                        </form>
                        <form action={concat('xmlmanage/run/',$created_tasks[$childIdentifier].task_id)|ezurl} method="post">
                             <input class="button" type="submit" name="PersistentButton" value="Re-Run">
                        </form>
                                {/case}
                            {/switch}
                {/if}
                </div>
                </fieldset><br />
            {/foreach}
        </div>
    </div></div></div>

</div>