<div class="context-block">
	<div class="box-header"><div class="box-ml">
		<h2 class="context-title">{'List of tasks'|i18n( 'ezxmlinstaller' )}</h2>
    </div></div>
		
	<div class="box-ml"><div class="box-mr"><div class="box-content">
		<div class="block">
		    {def $availableTasks = ezini('Tasks','AvailableTasks','xmlinstaller.ini')}

			{if count($availableTasks)|gt(0)}
			    <ul>
			    {foreach $availableTasks as $identifier => $name}
			        <li>
			         <form action={'xmlmanage/edit'|ezurl} method="post">
			         {$name} : 
			            <input type="hidden" name="task_identifier" value="{$identifier}">
			            <input class="defaultbutton" type="submit" name="RunOnceButton" value="Run once">
			            <input class="defaultbutton" type="submit" onclick='jQuery(this).parent().next("div.block").slideDown();return false;' name="SavedRunButton" value="Run with persistent settings">
                     </form>
			         <div class="block" style="display:none;">
                         <label for="{$identifier}">{'Name of persistent settings'|i18n( 'ezxmlinstaller' )} :</label>
				         <form action={'xmlmanage/edit'|ezurl} method="post">
				             <input id="task_name" name="task_name" value="my default task">
				             <input type="hidden" id="task_identifier" name="task_identifier" value="{$identifier}">
				             <input class="defaultbutton" type="submit" name="PersistentButton" value="Create">
				             <input class="button" onclick='jQuery(this).parents("div.block:first").slideUp();return false;' type="submit" name="DiscardButton" value="Close">
				         </form>
				     </div>
			        </li>
			    {/foreach}
			    </ul>
			{else}
			    {'There is no tasks defined.'|i18n( 'ezxmlinstaller' )}
			{/if}
		</div>
	</div></div></div>
</div>

{def $availableTasksSet = ezini('Tasks','AvailableTasksSet','xmlinstaller.ini')}

{if count($availableTasksSet)|gt(0)}
<div class="context-block">
    <div class="box-header"><div class="box-ml">
        <h2 class="context-title">{'List of set of tasks'|i18n( 'ezxmlinstaller' )}</h2>
    </div></div>
        
    <div class="box-ml"><div class="box-mr"><div class="box-content">
        <div class="block">
            <ul>
            {foreach $availableTasksSet as $identifier => $name}
                <li>
                 <form action={'xmlmanage/edit'|ezurl} method="post">
                 {$name} : 
                    <input type="hidden" name="task_identifier" value="{$identifier}">
                    <input class="defaultbutton" type="submit" onclick='jQuery(this).parent().next("div.block").slideDown();return false;' name="SavedRunButton" value="Run with persistent settings">
                 </form>
                 <div class="block" style="display:none;">
                     <label for="{$identifier}">{'Name of persistent settings'|i18n( 'ezxmlinstaller' )} :</label>
                     <form action={'xmlmanage/edit'|ezurl} method="post">
                         <input id="task_name" name="task_name" value="my default task">
                         <input type="hidden" id="is_task_set" name="is_task_set" value="true">
                         <input type="hidden" id="task_identifier" name="task_identifier" value="{$identifier}">
                         <input class="defaultbutton" type="submit" name="PersistentButton" value="Create">
                         <input class="button" onclick='jQuery(this).parents("div.block:first").slideUp();return false;' type="submit" name="DiscardButton" value="Close">
                     </form>
                 </div>
                </li>
            {/foreach}
            </ul>
        </div>
    </div></div></div>
</div>
{/if}

{if count($persistent_tasks)|gt(0)}
    <div class="context-block">
	    <div class="box-header"><div class="box-ml">
	        <h2 class="context-title">{'List of saved settings'|i18n( 'ezxmlinstaller' )}</h2>
	    </div></div>
	    <div class="box-ml"><div class="box-mr"><div class="box-content">
	        <div class="block">
	                <ul>
	                {def $view = 'view/'}
	                {foreach $persistent_tasks as $task}
	                    <li>
	                       {if $task.is_task_set}{set $view = 'set/'}{/if}
                            <a href={concat('xmlmanage/',$view,$task.id)|ezurl}>{$task.name}</a> ( {if is_set($availableTasks[$task.task_id])}{$availableTasks[$task.task_id]}{else}{$availableTasksSet[$task.task_id]}{/if} ) {if $task.is_task_set}- <a href={concat('xmlmanage/remove/',$task.id)|ezurl}>Remove</a>{/if}
	                       {set $view = 'view/'}
	                    </li>
	                {/foreach}
	                </ul>
	        </div>
	    </div></div></div>
	</div>
{/if}